﻿/* DEFAULTS
----------------------------------------------------------*/

body
{
	background: #b6b7bc;
	font-size: .80em;
	font-family: "Helvetica Neue" , "Lucida Grande" , "Segoe UI" , Arial, Helvetica, Verdana, sans-serif;
	margin: 0px;
	padding: 0px;
	color: #696969;
}

/*
a:link, a:visited
{
	color: #034af3;
}

a:hover
{
	color: #1d60ff;
	text-decoration: none;
}

a:active
{
	color: #034af3;
}
*/
p
{
	margin-bottom: 10px;
	line-height: 1.6em;
}

label
{
	display: inline-block;
	/*width: 85px;*/
}

/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6
{
	font-size: 1.5em;
	color: #666666;
	font-variant: small-caps;
	text-transform: none;
	font-weight: 200;
	margin-bottom: 0px;
}

h1
{
	font-size: 1.6em;
	padding-bottom: 0px;
}

h2
{
	font-size: 1.5em;
	font-weight: 600;
}

h3
{
	font-size: 1.2em;
	font-weight: 600;
}

h4
{
	font-size: 1.1em;
}

h5, h6
{
	font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
{
	margin-top: 0px;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.page
{
	/*width: 960px;*/
	background-color: #fff;
	margin: 20px auto 10px auto;
	border: 1px solid #496077;
}

.header
{
	position: relative;
	margin: 0px;
	padding: 0px;
	background: White; /*#4b6c9e*/
	width: 100%;
	float: inline-end;
}

.header h1
{
	font-weight: 700;
	margin: 0px;
	padding: 0px 0px 0px 10px;
	color: #4b6c9e; /*#f9f9f9;*/
	border: none;
	line-height: 2em;
	font-size: 2em;
}

.main
{
	padding: 0px 12px;
	margin: 12px 8px 8px 8px;
	/*min-height: 420px;*/
}

.leftCol
{
	padding: 6px 0px;
	margin: 12px 8px 8px 8px;
	width: 200px;
	min-height: 200px;
}

.footer
{
	color: #4e5766;
	padding: 8px 0px 0px 0px;
	margin: 0px auto;
	text-align: center;
	line-height: normal;
    font-weight: bold;
}


/* TAB MENU   
----------------------------------------------------------*/

div.hideSkiplink
{
	background-color: #3a4f63;
	width: 100%;
}

div.menu
{
	padding: 4px 0px 4px 8px;
}

div.nestedmenu
{
    padding: 2px 0px 2px 4px;
    width:50px;
    
}

div.menu ul, div.nestedmenu ul
{
    list-style: none;
    margin: 0px;
    padding: 0px;
    width: auto;
}

div.menu ul li a, div.menu ul li a:visited, div.nestedmenu ul li a, div.nestedmenu ul li a:visited
{
    display: block;
    line-height: 1.35em;
    padding: 4px 10px;
    text-decoration: none;
    white-space: nowrap;
}

div.menu ul li a, div.menu ul li a:visited
{
    background-color: #465c71;
    border: 1px #4e667d solid;
    color: #dde4ec;
}

div.nestedmenu ul li a:visited, div.nestedmenu ul li a:visited
{
    background-color:White;
    border: 1px #4e667d solid;
    color: #3a4f63;
}

div.menu ul li a:hover, div.nestedmenu ul li a:hover, div.nestedmenu ul li a:active
{
    text-decoration: none;
    background-color: #bfcbd6;
    color: #465c71;
}

div.nestedmenu ul li a:hover
{
	background-color: #4b6c9e;
	color: White;
}

div.menu ul li a:active
{
    text-decoration: none;
    background-color: #465c71;
    color: #cfdbe6;
}

/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset
{
	margin: 1em 0px;
	padding: 1em;
	border: 1px solid #ccc;
}

fieldset p
{
	margin: 2px 12px 10px 10px;
}

fieldset.login label, fieldset.register label, fieldset.changePassword label
{
	display: block;
}

fieldset label.inline
{
	display: inline;
}

legend
{
	font-size: 1.1em;
	font-weight: 600;
	padding: 2px 4px 8px 4px;
}

input.textEntry
{
	width: 320px;
	border: 1px solid #ccc;
}

input.passwordEntry
{
	width: 320px;
	border: 1px solid #ccc;
}

@media only screen and (min-width: 1000px) {

	div .accountInfo {
		width: 42%;
	}
	.selectWidth {
		width:50% !important;
	}
}
@media only screen and (max-width: 800px) {
	input.textEntry {
		width: 250px;
	}
	input.passwordEntry {
		width: 250px;
	}
	div .accountInfo {
		width: 100%;
	}
}



/* MISC  
----------------------------------------------------------*/

.clear
{
	clear: both;
}

.title
{
	display: block;
	float: left;
	text-align: left;
	width: auto;
}

.loginDisplay
{
	font-size: 1.1em;
	display: block;
	text-align: right;
	padding: 10px;
	color: White;
}

.loginDisplay a:link
{
	color: white;
}

.loginDisplay a:visited
{
	color: white;
}

.loginDisplay a:hover
{
	color: white;
}

.failureNotification {
	font-size: 1.2em;
	/*color: Red;*/
	color: #A30000;
}

.bold
{
	font-weight: bold;
}

.submitButton
{
	text-align: right;
	padding-right: 10px;
}

.error {
	/*color: Red;*/
	color: #A30000;
}

/* modal forms */
/*
.modalBackground
{
	background-color: Gray;
	filter: alpha(opacity=70);
	opacity: 0.7;
}

.modalContent
{
	min-height: 50px;
	padding: 5px 10px;
}

.modalHeader
{
	background-color: #DDDDDD;
	border: solid 1px Gray;
	color: Black;
	cursor: move;
	font-weight: bold;
	padding: 5px 10px;
}

.modalFooter
{
	padding: 10px;
	text-align: right;
	vertical-align: bottom;
}

.modalForm {
	background-color: White;
	border-width: 2px;
	border-color: Black;
	border-style: solid;
	font-size: 12px;
}
*/

/*--------------- Added by Andy Hutton ---------------*/
.forgetPassword {
	text-align: left;
	float:left;
	padding-right: 10px;
}
/*
input[type=submit], input[type=button] {
	background-color: #fff !important;
	border-style: solid !important;
	border-width: 1px !important;
	border-color: black !important;
	border-radius: 0.25rem;
	font-weight: bold !important;
	padding: 5px 10px !important;
	font-size:small;
	color:black !important;
}

input[type=submit]:hover, input[type=button]:hover {
	background-color: #0d6efd !important;
	color: white !important;
	border-width: 1px;
	border-color: black;
	font-weight: bold;
	}

input[value="Cancel"]:hover {
	background-color: #6c757d !important;
}

input[value="Delete"]:hover, input[value="Void"]:hover {
	background-color: #dc3545 !important;
}

input[value^="Add"] {
	font-weight: bold !important;
	padding: 5px 10px !important;
}
*/


table.radioWithProperWrap input {
	float: left;
}

table.radioWithProperWrap label {
	margin-left: 15px;
	margin-right: 20px;
	display: block;
	width: auto !important;
}

.custom-select {
	/* min-width: 350px; */
	width: 100%;
	position: relative;
}

	.custom-select select {
		appearance: none;
		/*  safari  */
		-webkit-appearance: none;
		/*  other styles for aesthetics */
		width: 100%;
		/*font-size: 0.90rem;*/
		font-size: 1.20rem;
		padding: 0.5em 5em 0.5em 1em;
		background-color: #fff;
		border: 1px solid #caced1;
		border-radius: 0.25rem;
		color: #000;
		cursor: pointer;
	}

	.custom-select::before,
	.custom-select::after {
		--size: 0.35rem;
		content: "";
		position: absolute;
		right: 1rem;
		pointer-events: none;
	}

	.custom-select::before {
		border-left: var(--size) solid transparent;
		border-right: var(--size) solid transparent;
		border-bottom: var(--size) solid black;
		top: 30%;
	}

	.custom-select::after {
		border-left: var(--size) solid transparent;
		border-right: var(--size) solid transparent;
		border-top: var(--size) solid black;
		top: 60%;
	}

.side-menu-div {
	width: 10%;
	float: left;
	border-right: 1px inset #3a4f63;
	border-right-style: dotted;
}

.childContent {
	width: 85%;
	float: left;
	padding: 0px 0px 0px 20px;
}

.searchInput {
	width: 90%;
	/*font-weight: bold !important;
	padding: 5px 10px !important;*/
}

.searchLabel {
	color: inherit !important;
}

.sortASC a:before {
	content: "\25b2";
	float: right;
	/*color: lightgray;*/
}

.sortDESC a:before {
	content: "\25bc";
	float: right;
	/*color: lightgray;*/
}

.alternatingRowStyle {
	background-color: rgba(128, 128, 128, 0.10);
}

.footerStyle {
	background-color: rgba(128, 128, 128, 0.10);
}

.pagerStyle {
	background-color: darkgray;
	color: black;
}



/* spinner */
.lds-ring {
	display: inline-block;
	position: relative;
	width: 50px;
	height: 50px;
}

	.lds-ring div {
		box-sizing: border-box;
		display: block;
		position: absolute;
		width: 38px;
		height: 38px;
		margin: 25px 0px;
		border: 4px solid #13795b;
		border-radius: 50%;
		animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
		border-color: #13795b transparent transparent transparent;
	}

		.lds-ring div:nth-child(1) {
			animation-delay: -0.45s;
		}

		.lds-ring div:nth-child(2) {
			animation-delay: -0.3s;
		}

		.lds-ring div:nth-child(3) {
			animation-delay: -0.15s;
		}

@keyframes lds-ring {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

.ReportList {
	font-size: large;
	font-weight: 600;
}

.ReportTitle {
	font-size: x-large;
}